summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJakob Unterwurzacher2025-01-23 22:16:29 +0100
committerJakob Unterwurzacher2025-01-23 22:17:51 +0100
commit00d4d91048fd6ae3017ced1f3937357c14e8e548 (patch)
treeab454f8b966e1f72d055921caf1a99d692608098 /tests
parent7d4837296d13cb5322731a51e96bf65d87ed6531 (diff)
tests: add issue893.sh, a reproducer for #893 "mariadb crashing since 2.5.0"
https://github.com/rfjakob/gocryptfs/issues/893
Diffstat (limited to 'tests')
-rwxr-xr-xtests/issue893.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/issue893.sh b/tests/issue893.sh
new file mode 100755
index 0000000..a1e7cdb
--- /dev/null
+++ b/tests/issue893.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Reproducer for https://github.com/rfjakob/gocryptfs/issues/893 .
+# Run this script as non-root against a root-mounted gocryptfs -allow_other.
+
+set -eu
+
+mountpoint $1
+cd $1
+
+work() {
+ for i in $(seq 100) ; do
+ D=mtest.$BASHPID.$i/foo/bar/baz
+ mkdir -p $D
+ touch $D/foo $D/bar
+ echo AAAAAAAAAAAAAAAAAAAAA > $D/foo
+ rm $D/foo
+ mkdir $D/baz
+ done
+}
+
+rm -Rf mtest.*
+echo .
+
+work &
+work &
+
+wait